Subject: Re: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Paul Pogonyshev <[email-masked]>
Date: Wed, 14 Sep 2022 19:25:09 +0200

> This case is exactly one of those which I think we shouldn't try to
> fix, because it's the case of "buggy Lisp program", a.k.a. "don't do
> that".  There's no reason for any useful Lisp program to have an
> infloop like this:
>
> >   (while t
> >     "whoopsie")

It is no wonder that Emacs is in such a poor state with 2 out 3
responding developers failing to make _one_ mental step from "while t"
to "this could be a 100-line loop that accidentally falls into
infinite recursion".  And even because of incompatible change in Emacs
itself.

Just wish I didn't get accustomed to this pile of crap 20 years ago
and just used a normal IDE like every smart person.

Paul